For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate a free subdomain

Generate a unique free subdomain that can be used for hosting services without purchasing custom domains.

Generate a free subdomain

post

Generate a unique free subdomain that can be used for hosting services without purchasing custom domains. Free subdomains allow you to start using hosting services immediately and you can always connect a custom domain to your site later.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
domainstringOptional

Generated free subdomain

Example: palegreen-fox-548498.hostingersite.com
post/api/hosting/v1/domains/free-subdomains
POST /api/hosting/v1/domains/free-subdomains HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "domain": "palegreen-fox-548498.hostingersite.com"
}

Last updated

Was this helpful?